application:setBackgroundColor(0xFF00FF)

local rt      = RenderTarget.new(318, 417)
local wrapper = Sprite.new()
local image   = Bitmap.new(Texture.new("image.png"))
--local image   = Bitmap.new(Texture.new("box.png"))

local mask    = Bitmap.new(Texture.new("mask.png"))

mask:setAnchorPosition(300, 281)
mask:setPosition(200, 200)
mask:setScale(1.5)

image:setBlendMode(Sprite.MULTIPLY)

wrapper:addChild(mask)
wrapper:addChild(image)




wrapper:addEventListener(Event.ENTER_FRAME, function()
	rt:clear(0, 0)
	rt:draw(wrapper)
end)

local bmp = Bitmap.new(rt)
bmp:setPosition(500, 500)

stage:addChild(bmp)
--stage:addChild(wrapper)

GTween.new(mask, 5, {
	scaleX = 0,
	scaleY = 0
}, {
	ease = easing.linear
})
